DSA 521-1: New sup packages fix format string vulnerabilities
Posted on: 06/19/2004 04:29 AM

New sub packages has been released for Debian GNU/Linux

---------------------------------------------------------------------------
Debian Security Advisory DSA 521-1 security@debian.org
http://www.debian.org/security/ Matt Zimmerman
June 18th, 2004 http://www.debian.org/security/faq
---------------------------------------------------------------------------

Package : sup
Vulnerability : format string
Problem-Type : remote
Debian-specific: no
CVE Ids : CAN-2004-0451

jaguar@felinemenace.org discovered a format string vulnerability in sup, a set of programs to synchronize collections of files across a number of machines, whereby a remote attacker could potentially cause arbitrary code to be executed with the privileges of the supfilesrv process (this process does not run automatically by default).

CAN-2004-0451: format string vulnerabilities in sup via syslog(3) in logquit, logerr, loginfo functions

For the current stable distribution (woody), this problem has been fixed in version 1.8-8woody2.

For the unstable distribution (sid), this problem will be fixed soon.

We recommend that you update your sup package.

Upgrade Instructions
---------------------

wget url
will fetch the file for you
dpkg -i file.deb
will install the referenced file.

If you are using the apt-get package manager, use the line for sources.list as given below:

apt-get update
will update the internal database
apt-get upgrade
will install corrected packages

You may use an automated update by adding the resources from the footer to the proper configuration.

Debian GNU/Linux 3.0 alias woody
---------------------------------

Source archives:

http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody2.dsc
Size/MD5 checksum: 538 f5817f83647a677ec6781c9d55843307
http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody2.diff.gz
Size/MD5 checksum: 6859 7b9cf999b1fb2c7662024ceb0c498039
http://security.debian.org/pool/updates/main/s/sup/sup_1.8.orig.tar.gz
Size/MD5 checksum: 111165 76371f01340ce62cd71687349c5aa27e

Alpha architecture:

http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody2_alpha.deb
Size/MD5 checksum: 103714 62123f3b8178825af23107d24c843bd1

ARM architecture:

http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody2_arm.deb
Size/MD5 checksum: 82756 a866d4f3b3fdbdb86e2db7ba745ea480

Intel IA-32 architecture:

http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody2_i386.deb
Size/MD5 checksum: 82624 580ca0b977cc27212c4e7778b435d4f3

Intel IA-64 architecture:

http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody2_ia64.deb
Size/MD5 checksum: 127664 cf7db9e24bbf333da16343bcdc5e9e82

HP Precision architecture:

http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody2_hppa.deb
Size/MD5 checksum: 94516 371292e2eaec3f04d49c8b29cb6e82ed

Motorola 680x0 architecture:

http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody2_m68k.deb
Size/MD5 checksum: 76454 4144ec09078326ba8e3facc6bef0e3b8

Big endian MIPS architecture:

http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody2_mips.deb
Size/MD5 checksum: 96814 c7e843b2ac5573c792c8c45910717f07

Little endian MIPS architecture:

http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody2_mipsel.deb
Size/MD5 checksum: 96452 c0558b55bce77470e1d9d52b515d39e1

PowerPC architecture:

http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody2_powerpc.deb
Size/MD5 checksum: 85246 06e0683ba5c24a406a02b131304a6e6f

IBM S/390 architecture:

http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody2_s390.deb
Size/MD5 checksum: 84656 b1e6f251fc3a22eb43d9bbd3044828bc

Sun Sparc architecture:

http://security.debian.org/pool/updates/main/s/sup/sup_1.8-8woody2_sparc.deb
Size/MD5 checksum: 89948 b8965ae16901df1eb9eb64faa8169d39

These files will probably be moved into the stable distribution on its next revision.


Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/dsa_521_1_new_sup_packages_fix_format_string_vulnerabilities.html)